## org.eclipse.datatools.connectivity.ui.actions
Class AddRepositoryViewAction

    java.lang.Object
      Action
          org.eclipse.datatools.connectivity.ui.actions.AddProfileViewAction
              org.eclipse.datatools.connectivity.ui.actions.AddRepositoryViewAction

    public class AddRepositoryViewAction

extends AddProfileViewAction

Adds a new profile repository

Author:
  rcernich

Constructor Summary
`AddRepositoryViewAction()`

Method Summary
`java.lang.Object` `execute(ExecutionEvent event)`
`void` `run()`
`void` `selectionChanged(IAction action, ISelection selection)`

Methods inherited from class org.eclipse.datatools.connectivity.ui.actions.AddProfileViewAction
`addHandlerListener, dispose, getAddedProfile, getIgnoreCategory, getParentProfile, getUseSelection, getWizardReturnCode, init, isEnabled, isHandled, removeHandlerListener, run, setCategory, setCategory, setIgnoreCategory, setParentProfile, setUseSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddRepositoryViewAction

    public AddRepositoryViewAction()

Method Detail

### run

    public void run()

  Overrides:
    `run` in class `AddProfileViewAction`

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

  Overrides:
    `selectionChanged` in class `AddProfileViewAction`

### execute

    public java.lang.Object execute(ExecutionEvent event)
                             throws ExecutionException

  Overrides:
    `execute` in class `AddProfileViewAction`
  Throws:
    `ExecutionException`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.